Bug 1876619 (CVE-2019-8771) - CVE-2019-8771 webkitgtk: Violation of iframe sandboxing policy
Summary: CVE-2019-8771 webkitgtk: Violation of iframe sandboxing policy
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-8771
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1877119 1877358
Blocks: 1876477
TreeView+ depends on / blocked
 
Reported: 2020-09-07 17:49 UTC by Tomas Hoger
Modified: 2021-02-16 19:20 UTC (History)
3 users (show)

Fixed In Version: webkitgtk 2.26.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 22:03:33 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4035 0 None None None 2020-09-29 20:48:22 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:05:20 UTC

Description Tomas Hoger 2020-09-07 17:49:46 UTC
WebKitGTK Security Advisory WSA-2019-0005 describes the following issue:

CVE-2019-8771

mpact: Maliciously crafted web content may violate iframe sandboxing policy. Description: This issue was addressed with improved iframe sandbox enforcement.

Versions affected: WebKitGTK before 2.26.0 and WPE WebKit before 2.26.0.

Comment 1 Tomas Hoger 2020-09-07 17:49:50 UTC
External References:

https://webkitgtk.org/security/WSA-2019-0005.html

Comment 3 errata-xmlrpc 2020-09-29 20:48:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 4 Product Security DevOps Team 2020-09-29 22:03:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-8771

Comment 5 errata-xmlrpc 2020-11-04 01:05:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.